package com.ruoyi.framework.aspectj.lang.annotation;

import java.lang.annotation.*;


/**
 * 自动建表
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface TableCreate {
    /**
     * table的基础表名
     */
    String tableName();

    /**
     * Mapper类，不能为空
     */
    Class<?> autoCreateTableMapperClass();

    /**
     * Mapper文件里面的函数名字（创建表对应的函数）
     */
    String autoCreateTableMapperMethodName();
}
